
#include <stdio.h>
#include <string.h>
#pragma once

#include "ofMain.h"

// imageLoader.h

class motionDifference {



	public:

		motionDifference(int width, int height, int threshold);

		void difference(unsigned char * imageSrc);
		void draw(int x, int y, int xsize, int ysize);
		bool bFirstTime;
		unsigned char * prevImage;
		unsigned char * mDif;
		int w, h;
		float centroid_x, centroid_y;
		int thresh;
		int total_pix;

		//for hack
		float last_min_x, last_min_y;
		int min_size_thresh;

};


